crash composer qgis

2017-09-01 03:30 PM - David Lucena

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.9 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24999

Description

ANGALIS Hello

Following the installation of Qgis 2.18 on Mac Sierra and Yosemite, I have a problem in composing it every time I create a layout by

selecting my map window the composing plant without error message data.

impossible to take out a card. I tried to install the Qgis version 2.14 and it made me the same error.

I made a short video on the bug: [[https://youtu.be/HZu8lGKxfpw]]

that could help me

FRNACAIS: Bonjour

Suite à l'installation de Qgis 2.18 sur Mac Sierra et Yosemite, j'ai un problème dans le composer à chaque fois je créé une mise en page

en sélectionnant ma fenêtre carte le composer plante sans donnée de message d'erreur.

impossible de sortir une carte. J'ai essayé d'installer la version Qgis 2.14 et il me fait la même erreur.

J'ai réalisé une petite vidéo sur le bug : [[https://youtu.be/HZu8lGKxfpw]]

qui pourrait m'aider

History

#1 - 2017-09-01 05:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try a clean installation by wiping the QGIS configs in  /Users/username/Library/Preferences as also deleting the  /Users/username/.qgis2 folder

(warning: this will wipe all qgis configurations, plugins, etc.).

#2 - 2017-09-01 07:19 PM - David Lucena

Hello,

first of all thank you for helping me.

I went to: Users / david / Library / Preferences to delete the file "org.qgis.qgis2" and in /Users/david/.qgis2 by removing the folder.

the result is always the same, the composer is blocked.

do you have an idea?
#3 - 2017-09-04 01:25 PM - Giovanni Manghi

David Lucena wrote:

Hello,

first of all thank you for helping me.

I went to: Users / david / Library / Preferences to delete the file "org.qgis.qgis2" and in /Users/david/.qgis2 by removing the folder.

the result is always the same, the composer is blocked.

do you have an idea?

just tried on my macbook (Sierra), create a scratch/memory layer in epsg 3942 as you show in your cast, then created a composer and replicated the same

steps: no issues whatsoever.

#4 - 2017-09-25 04:31 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
